CREATE procedure [dbo].[Utility_Query_Incrocio] (@cod_fis varchar(16) = '')
AS
BEGIN
declare @codicefiscale varchar(18)
declare @codicecontratto varchar(11)
declare @chiaveclientepb varchar(11)
declare @nomecognome varchar(255)
SET @nomecognome = ''
SET @chiaveclientepb = ''
set @codicecontratto = ''
set @codicefiscale = @cod_fis
select @codicefiscale=cod_fiscale from c6mart.anag_clienti where  nome+cognome   = @nomecognome  
select @codicefiscale=cod_fiscale from c6mart.vcontratti where  codicecontratto  = @codicecontratto  
select @codicefiscale=cod_fiscale  from c6mart.vcontratti where  chiaveclientepb  = @chiaveclientepb  
select CODICECONTRATTO,DATA_PERF,DATA_FINEAVANZATO,CASE TIP_CONTRATTO WHEN 0 THEN 'OLD' WHEN 1 THEN 'AFFLUENT' WHEN 2 THEN 'PRIVATE' ELSE 'ERR' END AS TIPOCONTRATTO,CASE RIATTIVAZIONE WHEN 1 THEN 'RIATTIVAZIONE' WHEN 2 THEN 'UPGRADE' ELSE '' END AS RIATTIVAZIONE,RETE,* from c6mart.vcontratti where cod_fiscale = @codicefiscale  
select CHIAVECLIENTEPB, ClienteMIGRATO, RISORSENA, PROFILOATTIVO, InvioBenvenuto, NumSolleciti, NumRevoche, CASE TIP_CONTRATTO WHEN 0 THEN 'OLD' WHEN 1 THEN 'AFFLUENT' WHEN 2 THEN 'PRIVATE' ELSE 'ERR' END AS TIPOCONTRATTO,CASE TIP_RIATTIVAZIONE WHEN 1 THEN 'RIATTIVAZIONE' WHEN 2 THEN 'UPGRADE' ELSE '' END AS RIATTIVAZIONE , Data_ultimoSollecito ,Data_ultimaRevoca from c6mart.contrattosei_metadati where chiaveclientepb = (select chiaveclientepb from c6mart.vcontratti where cod_fiscale = @codicefiscale) 
select * from c6mart.gestione_pdf_ftp where codicefiscale = @codicefiscale
select * from c6mart.gestione_email where cod_fiscale = @codicefiscale
select * from [CONSUNI].ConsulenzaUnicaFL.[dbo].CBS_STAMPAREPORT where codicecontratto in (select CODICECONTRATTO from c6mart.vcontratti where cod_fiscale = @codicefiscale) 
select * from c6mart.test_quality where cod_fiscale = @codicefiscale
select * from [CONSUNI].ConsulenzaUnicaFL.[dbo].CBS_HistDatiIngresso h where h.TRCOM_CODFISC=@codicefiscale or h.TRCOM_MANDATO=substring(@codicefiscale,4,4) order by 2
select * from [CONSUNI].ConsulenzaUnicaFL.[dbo].CBS_Scarti h where h.TRCOM_CODFISC=@codicefiscale or h.TRCOM_MANDATO=substring(@codicefiscale,4,4) order by 2
End